Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class ExceptionTable

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.ExceptionTable

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ExceptionTable

extends Attribute

This class represents the table of exceptions that are thrown by a method. This attribute may be used once per method. The name of this class is ExceptionTable for historical reasons; The Java Virtual Machine Specification, Second Edition defines this attribute using the name Exceptions (which is inconsistent with the other classes).

Version:
  $Id: ExceptionTable.java 1181133 2011-10-10 18:49:14Z markt $
Author:
  M. Dahm
See Also:
  `Code`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`ExceptionTable(int name_index, int length, int[] exception_index_table, ConstantPool constant_pool)`

Method Summary
`Attribute` | `copy(ConstantPool _constant_pool)`
`void` | `dump(DataOutputStream file)` Dump exceptions attribute to file stream in binary format.
`void` | `setExceptionIndexTable(int[] exception_index_table)`
`String` | `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionTable

    public ExceptionTable(int name_index,
                          int length,
                          int[] exception_index_table,
                          ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool
  `length` - Content length in bytes
  `exception_index_table` - Table of indices in constant pool
  `constant_pool` - Array of constants

Method Detail

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump exceptions attribute to file stream in binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### setExceptionIndexTable

    public final void setExceptionIndexTable(int[] exception_index_table)

  Parameters:
    `exception_index_table` - the list of exception indexes Also redefines number_of_exceptions according to table length.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation, i.e., a list of thrown exceptions.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.